# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'tutorial7Ui.ui'
#
# Created by: PyQt5 UI code generator 5.15.1
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_Submit(object):
    def setupUi(self, Submit):
        Submit.setObjectName("Submit")
        Submit.resize(800, 600)
        font = QtGui.QFont()
        font.setPointSize(22)
        Submit.setFont(font)
        self.centralwidget = QtWidgets.QWidget(Submit)
        self.centralwidget.setObjectName("centralwidget")
        self.comboBoxX = QtWidgets.QComboBox(self.centralwidget)
        self.comboBoxX.setGeometry(QtCore.QRect(60, 90, 221, 161))
        font = QtGui.QFont()
        font.setPointSize(28)
        self.comboBoxX.setFont(font)
        self.comboBoxX.setObjectName("comboBoxX")
        self.comboBoxX.addItem("")
        self.comboBoxX.addItem("")
        self.comboBoxY = QtWidgets.QComboBox(self.centralwidget)
        self.comboBoxY.setGeometry(QtCore.QRect(440, 90, 221, 161))
        font = QtGui.QFont()
        font.setPointSize(28)
        self.comboBoxY.setFont(font)
        self.comboBoxY.setObjectName("comboBoxY")
        self.comboBoxY.addItem("")
        self.comboBoxY.addItem("")
        self.pushButton = QtWidgets.QPushButton(self.centralwidget)
        self.pushButton.setGeometry(QtCore.QRect(254, 420, 141, 61))
        self.pushButton.setObjectName("pushButton")
        self.label = QtWidgets.QLabel(self.centralwidget)
        self.label.setGeometry(QtCore.QRect(280, 310, 251, 61))
        font = QtGui.QFont()
        font.setPointSize(26)
        self.label.setFont(font)
        self.label.setObjectName("label")
        Submit.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(Submit)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 800, 46))
        self.menubar.setObjectName("menubar")
        Submit.setMenuBar(self.menubar)
        self.statusbar = QtWidgets.QStatusBar(Submit)
        self.statusbar.setObjectName("statusbar")
        Submit.setStatusBar(self.statusbar)

        self.pushButton.clicked.connect(self.pressed)

        # self.comboBoxX.addItem("Hello")
        # index = self.comboBoxX.findText("Hello", QtCore.Qt.MatchFixedString)  # return the index in the comboBox
        # self.comboBoxX.setCurrentIndex(index)

        self.retranslateUi(Submit)
        QtCore.QMetaObject.connectSlotsByName(Submit)

    def retranslateUi(self, Submit):
        _translate = QtCore.QCoreApplication.translate
        Submit.setWindowTitle(_translate("Submit", "MainWindow"))
        self.comboBoxX.setItemText(0, _translate("Submit", "0"))
        self.comboBoxX.setItemText(1, _translate("Submit", "1"))
        self.comboBoxY.setItemText(0, _translate("Submit", "0"))
        self.comboBoxY.setItemText(1, _translate("Submit", "1"))
        self.pushButton.setText(_translate("Submit", "Submit"))
        self.label.setText(_translate("Submit", "X XOR Y =   "))

    def pressed(self):
        x = int(self.comboBoxX.currentText())
        y = int(self.comboBoxY.currentText())
        xor = (x and not y) or (not x and y)
        if xor == True:
            xor = 1
        else:
            xor = 0

        self.label.setText("X XOR Y = " + str(xor))


if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    Submit = QtWidgets.QMainWindow()
    ui = Ui_Submit()
    ui.setupUi(Submit)
    Submit.show()
    sys.exit(app.exec_())
